## debian-codemods 0.171

=== Makefile ===
VERSION=$(shell dpkg-parsechangelog | grep Version: | cut -d " " -f 2)

export RUST_LOG

default: check

.PHONY: build

check:: testsuite tag-status check-manpages

.PHONY: testsuite unsupported check-manpages

check-manpages:
	for f in debian/*.1 debian/*.5; do man --warnings -l "$$f" > /dev/null || exit 1; done

tag-status::
	$(MAKE) -C lintian-brush tag-status

testsuite::
	cargo test --workspace

lintian-tags:
	lintian-explain-tags --list-tags > lintian-tags

.PHONY: lintian-tags lintian-brush-tags

unsupported: lintian-tags lintian-brush-tags
	awk 'NR==FNR{a[$$0]=1;next}!a[$$0]' lintian-brush-tags lintian-tags

update-spdx:
	python3 download-license-data.py > spdx.json
	brz diff spdx.json || brz commit -m "Update SPDX license data" spdx.json

update-renamed-tags:
	$(MAKE) -C lintian-brush update-renamed-tags

update: update-spdx update-lintian-brush-readme update-renamed-tags update-deps

update-lintian-brush-readme:
	$(MAKE) -C lintian-brush README.md

next:
	$(MAKE) -C lintian-brush next

docker:
	buildah build -t ghcr.io/jelmer/lintian-brush:latest Dockerfile.lintian-brush .
	buildah push ghcr.io/jelmer/lintian-brush:latest
	buildah build -t ghcr.io/jelmer/deb-scrub-obsolete:latest Dockerfile.deb-scrub-obsolete .
	buildah push ghcr.io/jelmer/deb-scrub-obsolete:latest
	buildah build -t ghcr.io/jelmer/debianize:latest Dockerfile.debianize .
	buildah push ghcr.io/jelmer/debianize:latest
	buildah build -t ghcr.io/jelmer/debianize:latest Dockerfile.debianize .
	buildah push ghcr.io/jelmer/debianize:latest

update-deps:
	brz diff debian/control || { echo "Pending changes to debian/control"; exit 1; }
	update-rust-deps
	brz diff debian/control || brz commit -m "Update Rust dependencies" debian/control

## debian-codemods 0.170

=== changelog ===
folks (0.15.12-1) unstable; urgency=medium

  * New upstream release
  * Remove obsolete Lintian override
  * Bump Standards Version to 4.7.3

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 27 Jan 2026 15:56:50 -0500

folks (0.15.9-8) unstable; urgency=medium

  * Remove Suggests: devhelp

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 03 Dec 2025 22:11:46 -0500

folks (0.15.9-7) unstable; urgency=medium

  [ Simon McVittie ]
  * d/control: Build-Depend on required GIR XML (gir1.2-*-dev)
  * d/control: Replace libgirepository1.0-dev B-D with
    gobject-introspection (Closes: #1118816)

  [ Jeremy Bícha ]
  * Bump Standards Version to 4.7.2

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 25 Oct 2025 17:27:11 -0400

folks (0.15.9-5) unstable; urgency=medium

  * Opt into Salsa CI
  * libfolks-dev: Use ${gir:Depends} & ${gir:Provides}
  * libfolks-dummy26: Add Lintian override

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 17 Jan 2025 19:51:14 -0500

folks (0.15.9-4) unstable; urgency=medium

  * Follow Ubuntu and ignore build test failures. The failures appear
    to have been triggered by glib 2.80 / gobject-introspection 1.80.
    See Ubuntu bug 2060073

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 20 Aug 2024 17:29:41 -0400

folks (0.15.9-3) unstable; urgency=medium

  * Enable sysprof profiling support on most architectures (LP: #2077465)
  * Bump Standards Version to 4.7.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 20 Aug 2024 16:15:39 -0400

folks (0.15.9-2) unstable; urgency=medium

  * Adjust dependency to >= ${source:Version} to allow binNMUs
    (Closes: #1067674)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 02 Apr 2024 16:07:16 -0400

folks (0.15.9-1) unstable; urgency=medium

  * New upstream release
    - Fix build failure

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 23 Mar 2024 07:41:20 -0400

folks (0.15.7-1) unstable; urgency=medium

  * New upstream release
  * Stop using debian/control.in and dh_gnome_clean

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 09 Jan 2024 14:01:41 -0500

folks (0.15.6-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in: Bump minimum meson to 0.57
  * debian/libfolks26.symbols: Add new symbols
  * Update standards version to 4.6.2, no changes needed

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 16 Jun 2023 09:36:50 -0400

folks (0.15.5-2) unstable; urgency=medium

  * debian/rules: don't ignore test failures

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 25 Mar 2022 13:18:14 -0400

folks (0.15.5-1) unstable; urgency=medium

  * New upstream release
  * debian/libfolks26.symbols: Add new symbols
  * debian/rules: don't run tests in parallel

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 24 Mar 2022 15:04:47 -0400

folks (0.15.4-1) unstable; urgency=medium

  * New upstream release
  * Drop patch: applied in new release
  * debian/libfolks-eds26.symbols: Add new symbols
  * debian/control.in: Bump Standards-Version to 4.6.0

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 22 Jan 2022 14:12:22 -0500

folks (0.15.3-4) unstable; urgency=medium

  * debian/rules: Make build-tests non-fatal for now and
    increase timeout multiplier

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 24 Oct 2021 10:00:56 -0400

folks (0.15.3-3) unstable; urgency=medium

  * Cherry-pick patch to fix build with latest evolution-data-server
    (Closes: #997207)
  * Bump debhelper-compat to 13
  * Build-Depend on dh-sequence-gir
  * debian/rules: Drop unneeded -Wl,--as-needed
  * debian/rules: Enable all hardening flags
  * debian/rules: Run dh_auto_test
  * debian/control.in: Build-Depend on evolution-data-server for build tests

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 24 Oct 2021 08:52:33 -0400

folks (0.15.3-2) unstable; urgency=medium

  * Upload to unstable

 -- Laurent Bigonville <bigon@debian.org>  Sun, 05 Sep 2021 22:09:18 +0200

folks (0.15.3-1) experimental; urgency=medium

  * New upstream release
  * debian/control.in: Bump evolution-data-server-dev and libglib2.0-dev
    (build-)dependency
  * Bump the soname from 25 to 26
  * debian/watch: Bump version to 4

 -- Laurent Bigonville <bigon@debian.org>  Wed, 18 Aug 2021 16:09:56 +0200

folks (0.14.0-1) unstable; urgency=medium

  * New upstream release
  * debian/copyright: Adjust the Copyright holders (Closes: #956286)

 -- Laurent Bigonville <bigon@debian.org>  Mon, 20 Apr 2020 09:35:30 +0200

folks (0.13.2-2) unstable; urgency=medium

  * debian/control.in: Mark the -dev packages as multi-arch same
  * Build the documentation and create new -doc packages (Closes: #679740)

 -- Laurent Bigonville <bigon@debian.org>  Sun, 08 Mar 2020 21:45:34 +0100

folks (0.13.2-1) unstable; urgency=medium

  [ Simon McVittie ]
  * d/gbp.conf: Align with other GNOME Team packages
  * New upstream release
  * Update build-dependencies
  * Drop migration path from -dbg packages older than oldstable
  * Use debhelper-compat build-dependency instead of debian/compat
  * Use versioned copyright format URI.
  * Update copyright file header to use current field names (Name =>
    Upstream-Name, Maintainer => Upstream-Contact)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Remove obsolete Upstream-Contact
  * Standards-Version: 4.5.0 (no changes required)
  * Install new GConf -> gsettings conversion
  * Set Rules-Requires-Root to no
  * Add Provides for gir1.2-folkstelepathy-0.6 etc.

 -- Laurent Bigonville <bigon@debian.org>  Sun, 08 Mar 2020 21:14:34 +0100

folks (0.13.1-1) unstable; urgency=medium

  * New upstream version 0.13.1
  * Acknowledge NMU, thanks Simon (Closes: #941472)
  * debian/control: Bump Standards-Version to 4.4.1 (no further changes)
  * The package now uses meson, adjust the build-dependencies and the options
    passed to the configure
  * Drop d/p/eds-Adapt-to-libebook-API-changes.patch, applied upstream
  * debian/folks-common.install: Drop GConf to gsettings convert file
  * debian/*.symbols: Drop private symbols not exported anymore
  * debian/watch: Use https://


=== debian/changelog ===
debian-codemods (0.170) experimental; urgency=medium

  * Rename source package to ``debian-codemods`` to reflect that it
    contains more than just lintian-brush.
  * Split out a debian-codemods binary package that contains the
    non-lintian-brush binaries.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 05 Feb 2026 00:00:00 +0000

lintian-brush (0.166) unstable; urgency=medium

  * Upgrade to makefile-lossless 0.3.27, fixing parsing of makefiles
    with nested conditionals. Closes: #1126511
  * Stop shipping deb-import-uncommitted, which conflicts with brz-debian.
    Closes: #1126510

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 29 Jan 2026 00:00:00 +0000

lintian-brush (0.165) unstable; urgency=medium

  * Add python3-setuptools to Build-Depends and fix setup.py parsing for
    Python 3.12+, where distutils was removed.
  * debian/copyright: Drop pattern for nonexistent
    py/lintian_brush/systemd.py.
  * Fix ordering issue.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 26 Jan 2026 00:00:00 +0000

lintian-brush (0.164) unstable; urgency=medium

  * Drop unnecessary python dependencies. Closes: #1125923

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 18 Jan 2026 23:02:42 +0000

lintian-brush (0.163) unstable; urgency=medium

  * Convert most fixers to Rust.
  * Add support for X-DH-Compat header. Closes: #1106883
  * Bump breezyshim to 0.7 and pyo03 to 0.27. Closes: #1114184
  * Bump python3-upstream-ontologist dependency to 0.2.2; older versions
    trigger a infinite memory usage bug.
  * Don't crash when a fixer is killed by a signal.
  * Rebuild against Python 3.13/3.14. Closes: #1094320
  * pkg-perl-testsuite: Don't add Testsuite header when debian/tests/control
    already exists. Closes: #982871
  * Skip debhelper-but-no-misc-depends for debhelper compat >= 14. Closes: #1072700
  * Add asterisk prefix to changelog entries. Closes: #1110106
  * double-check overrides. Closes: #961643
  * upstream-metadata-file: Support FAQ and Other-References fields.
    Closes: #1101050, #1110416
  * Fix public-upstream-key-not-minimal fixer by rewriting in Rust.
    Closes: #968150
  * Fix deb-scrub-obsolete runtime panic by enabling sqlx runtime feature.
    Closes: #1125793

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 03 Jun 2025 22:37:02 +0100

lintian-brush (0.162) unstable; urgency=medium

  * Bump the version of hyper to 1.5

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 23 Apr 2025 11:18:21 +0100

lintian-brush (0.161) unstable; urgency=medium

  * dep3-format-patch-author-or-from-is-better: Cope with commented out
    patches or missing patches in debian/patches/series.
    Closes: #1090998
  * rules-requires-root-missing: only set Rules-Requires-Root when
    dpkg < 1.22.13 needs to be supported, and delete it if only
    dpkg >= 1.22.13 is supported. Closes: #1091929
  * Update hyper used. Closes: #1102593

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 22 Dec 2024 19:10:53 +0000

lintian-brush (0.160) unstable; urgency=medium

  * Fix installing of fixers. Closes: #1090831

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 19 Dec 2024 21:19:06 +0000

lintian-brush (0.159) unstable; urgency=medium

  * Add fixer for dep3-format-patch-author-or-from-is-better
  * Upload to unstable.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 16 Nov 2024 13:29:46 +0000

lintian-brush (0.158) experimental; urgency=medium

  * Bump pyo3 to 0.22.
  * Drop dependency on dead python3-pyinotify. Closes: #1075953
  * Add hint about misisng Python package when it can't be found.
  * Rebuild against python 3.12. Closes: #1076706
  * Support newer clap. Closes: #1082363
  * When running fixers, restrict how long they can be running.
    Closes: #1076245

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 27 Jun 2024 15:44:16 +0100

lintian-brush (0.157) unstable; urgency=medium

  * Bump breezyshim to latest version.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 17 Jun 2024 19:49:00 +0100

lintian-brush (0.156) unstable; urgency=medium

  * Re-arrange directories to allow publishing individual crates.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 08 Jun 2024 23:28:42 +0100

lintian-brush (0.155) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Bump pyo3 dependency to 0.20, fixing FTBFS. Closes: #1061435

  [ Peter Michael Green ]
  * Add missing build-dependency on librust-pyo3-file-dev

  [ Jelmer Vernooĳ ]
  * When removing calls to deprecated dh_autotools-dev_updateconfig,
    substitute dh_update_autotools_config. Closes: #1071554

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 07 Jun 2024 13:26:47 +0100

lintian-brush (0.154) unstable; urgency=medium

  * Add manpages for deb-vcs-publish, fix-watch-file.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 21 Nov 2023 13:30:41 +0000

lintian-brush (0.152) unstable; urgency=medium

  * Fix compatibility with newer rust crates. Closes: #1054839

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 28 Oct 2023 01:41:32 +0100

lintian-brush (0.151) unstable; urgency=medium

  * Finish conversion of apply-multiarch-hints to rust. Closes:
    #1051766, #1042949
  * Add support for ma-workaround.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 23 Sep 2023 14:17:49 +0100

lintian-brush (0.150) unstable; urgency=medium

  * Scrub environment when running tests.
  * Port the lintian-brush command to rust.
  * Bump breezy dependency to 3.3.1

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 08 Sep 2023 17:49:50 +0100

lintian-brush (0.149) unstable; urgency=medium

  * Port some core functionality to rust.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 19 Jun 2023 22:57:59 +0100

lintian-brush (0.148) unstable; urgency=medium

  * Bump minimum upstream-ontologist to 0.134.
  * Maintain an explicit list of fields to add to
    debian/upstream/metadata.
  * Migrate from asyncpg to psycopg2.
  * Bump debmutate to 0.66, which fixes shebang-stripping bug - and add
    test.
  * Fill in Homepage field.
  * Update standards version to 4.6.2, no changes needed.



=== debian/control ===
Source: debian-codemods
Section: devel
Priority: optional
Maintainer: Jelmer Vernooĳ <jelmer@debian.org>
Build-Depends: debhelper (>= 13.5),
               debhelper-compat (= 13),
               bash-completion,
               cargo:native,
               decopy,
               devscripts,
               dos2unix,
               gpg,
               librust-async-trait-0.1+default-dev,
               librust-breezyshim-0.7+debian-dev (>= 0.7.8-~~),
               librust-breezyshim-0.7+default-dev (>= 0.7.8-~~),
               librust-breezyshim-0.7+dirty-tracker-dev (>= 0.7.8-~~),
               librust-breezyshim-0.7+sqlx-dev (>= 0.7.8-~~),
               librust-buildlog-consultant+default-dev (>= 0.1.0-~~),
               librust-cargo-lock-10+default-dev,
               librust-chrono+default-dev (>= 0.4-~~),
               librust-chrono-0.4+default-dev,
               librust-clap-4+cargo-dev,
               librust-clap-4+default-dev,
               librust-clap-4+derive-dev,
               librust-clap-4+env-dev,
               librust-clap-4+string-dev,
               librust-clap-4+suggestions-dev,
               librust-configparser-3+default-dev,
               librust-deb822-lossless-0.5+default-dev (>= 0.5.5-~~),
               librust-debbugs-0.1+blocking-dev (>= 0.1.8-~~),
               librust-debbugs-0.1+default-dev (>= 0.1.8-~~),
               librust-debian-analyzer-0.160+default-dev (>= 0.160.11-~~),
               librust-debian-analyzer-0.160+python-dev (>= 0.160.11-~~),
               librust-debian-analyzer-0.160+svp-dev (>= 0.160.11-~~),
               librust-debian-analyzer-0.160+udd-dev (>= 0.160.11-~~),
               librust-debian-changelog-0.2+default-dev (>= 0.2.13-~~),
               librust-debian-control+default-dev (>= 0.1.0-~~),
               librust-debian-control-0.2+default-dev (>= 0.2.15-~~),
               librust-debian-copyright-0.1+default-dev (>= 0.1.38-~~),
               librust-debian-watch-0.2+blocking-dev (>= 0.2.17-~~),
               librust-debian-watch-0.2+default-dev (>= 0.2.17-~~),
               librust-debian-watch-0.2+discover-dev (>= 0.2.17-~~),
               librust-debian-watch-0.2+pgp-dev (>= 0.2.17-~~),
               librust-debversion+default-dev (>= 0.4.0-~~),
               librust-debversion-0.5+default-dev,
               librust-debversion-0.5+python-debian-dev,
               librust-debversion-0.5+serde-dev,
               librust-debversion-0.5+sqlx-dev,
               librust-dep3-0.2+default-dev,
               librust-distro-info-0.4+default-dev,
               librust-env-logger-0.11+default-dev,
               librust-flate2-1+default-dev,
               librust-futures-0.3+default-dev,
               librust-http-body-util-0.1+default-dev,
               librust-humantime-2+default-dev (>= 2.1.0-~~),
               librust-hyper-1+default-dev (>= 1.5-~~),
               librust-hyper-1+http1-dev (>= 1.5-~~),
               librust-hyper-1+server-dev (>= 1.5-~~),
               librust-hyper-util-0.1+server-auto-dev,
               librust-hyper-util-0.1+server-dev,
               librust-hyper-util-0.1+tokio-dev,
               librust-indexmap-2+default-dev (>= 2.7-~~),
               librust-indicatif+default-dev (<< 0.19-~~),
               librust-indicatif+default-dev (>= 0.17-~~),
               librust-inventory-0.3+default-dev,
               librust-json-dev,
               librust-lazy-regex-3+default-dev,
               librust-lazy-static-1+default-dev,
               librust-log-0.4+default-dev,
               librust-makefile-lossless-0.3+default-dev (>= 0.3.27-~~),
               librust-nu-ansi-term-0.50+default-dev,
               librust-ognibuild-0.2+debian-dev (>= 0.2.4-3),
               librust-ognibuild-0.2+default-dev (>= 0.2.4-3),
               librust-ognibuild-0.2+upstream-dev (>= 0.2.4-3),
               librust-patchkit-0.2+default-dev (>= 0.2.2-~~),
               librust-pyo3-0.27+auto-initialize-dev,
               librust-pyo3-0.27+chrono-dev,
               librust-pyo3-0.27+default-dev,
               librust-pyo3-0.27+serde-dev,
               librust-pyo3-build-config-0.27+default-dev,
               librust-pyo3-log+default-dev (<< 0.14-~~),
               librust-pyo3-log+default-dev (>= 0.12-~~),
               librust-quote-1+default-dev (>= 1.0.37-~~),
               librust-regex-1+default-dev (>= 1.10.6-~~),
               librust-reqwest+blocking-dev (>= 0.12-~~),
               librust-reqwest+default-dev (>= 0.12-~~),
               librust-reqwest+json-dev (>= 0.12-~~),
               librust-rowan-0.16+default-dev,
               librust-semver-1+default-dev,
               librust-sequoia-openpgp-2+default-dev (>= 2-~~),
               librust-serde-1+default-dev,
               librust-serde-1+derive-dev,
               librust-serde-json-1+default-dev,
               librust-serde-yaml+default-dev (>= 0.9-~~),
               librust-serial-test-dev,
               librust-sha1-0.10+default-dev,
               librust-shell-words-1+default-dev,
               librust-sqlx-0.8+default-dev,
               librust-sqlx-0.8+postgres-dev,
               librust-sqlx-0.8+runtime-tokio-rustls-dev,
               librust-strsim-0.11+default-dev,
               librust-svp-client+default-dev (>= 0.1.0-~~),
               librust-svp-client-0.2+default-dev,
               librust-tempfile-3+default-dev,
               librust-textwrap-0.16+default-dev,
               librust-tokio-1+default-dev (>= 1.39-~~),
               librust-tokio-1+full-dev (>= 1.39-~~),
               librust-tokio-1+macros-dev,
               librust-tokio-1+net-dev,
               librust-tokio-1+rt-dev (>= 1.39-~~),
               librust-tokio-1+rt-multi-thread-dev (>= 1.39-~~),
               librust-tokio-1+signal-dev,
               librust-toml-edit-0.22+default-dev,
               librust-tracing-0.1+default-dev,
               librust-tracing-log-0.2+default-dev,
               librust-tracing-subscriber-0.3+ansi-dev,
               librust-tracing-subscriber-0.3+default-dev,
               librust-tracing-subscriber-0.3+env-filter-dev,
               librust-tracing-subscriber-0.3+fmt-dev,
               librust-upstream-ontologist-0.3+default-dev (>= 0.3.6-~~),
               librust-url-2+default-dev,
               librust-url-2+serde-dev,
               librust-wait-timeout-0.2+default-dev,
               librust-xdg-2+default-dev,
               librust-xz2-0.1+default-dev,
               libstd-rust-dev,
               lintian (>= 2.105.0),
               po-debconf,
               python3-breezy (>= 3.3.1~),
               python3-setuptools,
               rustc
Standards-Version: 4.7.2
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/jelmer/debian-codemods.git
Vcs-Browser: https://salsa.debian.org/jelmer/debian-codemods
Homepage: https://salsa.debian.org/jelmer/debian-codemods

Package: debian-codemods
Architecture: any
Depends: devscripts,
         python3-breezy (>= 3.3.1~),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: debhelper (>= 13.5),
            decopy,
            dos2unix,
            gpg,
            lintian (>= 2.105.0)
Suggests: brz-debian (>= 2.8.66),
          git-buildpackage,
          po-debconf,
          postgresql-common
Replaces: lintian-brush
Description: codemods for automatically fixing problems in Debian packages
 This package contains a set of scripts that can automatically fix common
 problems in Debian packages:
 .
 * apply-multiarch-hints: applies multiarch hints to debian/control
 * deb-scrub-obsolete: removes obsolete dependencies and maintscript snippets
 * deb-vcs-publish: adds VCS metadata to debian/control
 * fix-watch-file: updates the debian/watch file to use the latest format

Package: lintian-brush
Architecture: any
Depends: devscripts,
         python3-breezy (>= 3.3.1~),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: debhelper (>= 13.5),
            decopy,
            dos2unix,
            gpg,
            lintian (>= 2.105.0)
Suggests: brz-debian (>= 2.8.66),
          git-buildpackage,
          po-debconf,
          postgresql-common
Description: automatically fix lintian problems
 This package contains a set of scripts that can automatically fix more than 160
 common lintian issues in Debian packages.
 .
 It comes with a wrapper script that invokes the scripts, updates
 the changelog (if desired) and commits each change to
 version control.

=== lintian-brush/tests/debian-rules-uses-deprecated-systemd-override/simple/out/debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_installsystemd:
	dh_systemd_enable --name=myservice myservice.service

=== lintian-brush/tests/homepage-url-ends-with-dot-git/github/in/debian/control ===
Source: test-package
Homepage: https://github.com/user/repo.git

Package: test-package
Architecture: all
Description: Test package
 This is a test package.

=== lintian-brush/tests/missing-static-built-using-field-for-golang-package/simple/out/debian/control ===
Source: golang-test
Build-Depends: dh-golang

Package: golang-test
Architecture: any
Static-Built-Using: ${misc:Static-Built-Using}
Description: Test package for Go
 Test description

=== lintian-brush/tests/out-of-date-standards-version/4.1.1/out/debian/control ===
Source: lintrian-brush
Standards-Version: 4.1.1

=== lintian-brush/tests/trailing-comma-in-maintainer-field/with-whitespace/out/debian/control ===
Source: another-package
Maintainer: Jane Smith <jane@example.org>

Package: another-package
Architecture: any
Description: Another test package
 Testing with whitespace before comma.

## debian-codemods 0.171

=== debian/changelog ===
debian-codemods (0.171) unstable; urgency=medium

  * debian/copyright: Remove unused MIT license paragraph
  * upload to unstable with new package names.
  * Fix day-of-week for changelog entries 0.166, 0.165.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 26 Feb 2026 20:27:14 +0000

lintian-brush (0.168) unstable; urgency=medium

  [ Alexander Kjäll ]
  * Bump cargo-lock to 11.

  [ Jelmer Vernooĳ ]
  * Use archive-provided systemd-unit-edit and desktop-edit.
  * Improve man pages: update and complete options, clarify relationship
    between lintian-brush and companion tools. Closes: #1110964
  * Hide more debug output by default. Closes: #1128555
  * debhelper-tools-from-autotools-dev-are-deprecated fixer: fix removal
    of --with argument to avoid corrupting unrelated lines. Closes:
    #1128193
  * no-priority-field fixer: stop adding "Priority: optional" when
    targeting dpkg >= 1.22.13, since it is now the default. Closes:
    #1128554
  * initial-upload-closes-no-bugs fixer: fix duplicate bug references by
    checking case-insensitively. Closes: #1128557
  * Add new debian-watch-use-templates fixer to convert v5 watch files
    from explicit Source/Matching-Pattern to template syntax where
    possible. Closes: #1128553
  * global-files-wildcard-not-first-paragraph-in-dep5-copyright fixer:
    keep debian/* patterns at end of copyright file by convention.
    Closes: #1128608
  * Use archive-provided systemd-unit-edit and desktop-edit.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 16 Feb 2026 11:11:29 +0000

lintian-brush (0.167) unstable; urgency=medium

  * Update watch file handling to use version 5 format. Closes: #1127489

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 12 Feb 2026 11:54:21 +0000

=== debian/control ===
Source: debian-codemods
Section: devel
Priority: optional
Maintainer: Jelmer Vernooĳ <jelmer@debian.org>
Build-Depends: debhelper (>= 13.5),
               debhelper-compat (= 13),
               bash-completion,
               cargo:native,
               decopy,
               devscripts,
               dos2unix,
               gpg,
               librust-async-trait-0.1+default-dev,
               librust-breezyshim-0.7+debian-dev (>= 0.7.8),
               librust-breezyshim-0.7+default-dev (>= 0.7.8),
               librust-breezyshim-0.7+dirty-tracker-dev (>= 0.7.8),
               librust-breezyshim-0.7+sqlx-dev (>= 0.7.8),
               librust-buildlog-consultant+default-dev (>= 0.1.0),
               librust-cargo-lock-11+default-dev,
               librust-chrono+default-dev (>= 0.4),
               librust-chrono-0.4+default-dev,
               librust-clap-4+cargo-dev,
               librust-clap-4+default-dev,
               librust-clap-4+derive-dev,
               librust-clap-4+env-dev,
               librust-clap-4+string-dev,
               librust-clap-4+suggestions-dev,
               librust-configparser-3+default-dev,
               librust-deb822-lossless-0.5+default-dev (>= 0.5.5),
               librust-debbugs-0.1+blocking-dev (>= 0.1.8),
               librust-debbugs-0.1+default-dev (>= 0.1.8),
               librust-debian-analyzer-0.160+default-dev (>= 0.160.11),
               librust-debian-analyzer-0.160+python-dev (>= 0.160.11),
               librust-debian-analyzer-0.160+svp-dev (>= 0.160.11),
               librust-debian-analyzer-0.160+udd-dev (>= 0.160.11),
               librust-debian-changelog-0.2+default-dev (>= 0.2.13),
               librust-debian-control+default-dev (>= 0.1.0),
               librust-debian-control-0.2+default-dev (>= 0.2.15),
               librust-debian-copyright-0.1+default-dev (>= 0.1.41),
               librust-debian-watch-0.4+blocking-dev,
               librust-debian-watch-0.4+default-dev,
               librust-debian-watch-0.4+discover-dev,
               librust-debian-watch-0.4+pgp-dev,
               librust-debversion+default-dev (>= 0.4.0),
               librust-debversion-0.5+default-dev,
               librust-debversion-0.5+python-debian-dev,
               librust-debversion-0.5+serde-dev,
               librust-debversion-0.5+sqlx-dev,
               librust-dep3-0.2+default-dev,
               librust-desktop-edit-0.1+default-dev,
               librust-distro-info-0.4+default-dev,
               librust-env-logger-0.11+default-dev,
               librust-flate2-1+default-dev,
               librust-futures-0.3+default-dev,
               librust-http-body-util-0.1+default-dev,
               librust-humantime-2+default-dev (>= 2.1.0),
               librust-hyper-1+default-dev (>= 1.5),
               librust-hyper-1+http1-dev (>= 1.5),
               librust-hyper-1+server-dev (>= 1.5),
               librust-hyper-util-0.1+server-auto-dev,
               librust-hyper-util-0.1+server-dev,
               librust-hyper-util-0.1+tokio-dev,
               librust-indexmap-2+default-dev (>= 2.7),
               librust-indicatif+default-dev (<< 0.19-~~),
               librust-indicatif+default-dev (>= 0.17),
               librust-inventory-0.3+default-dev,
               librust-json-dev,
               librust-lazy-regex-3+default-dev,
               librust-lazy-static-1+default-dev,
               librust-log-0.4+default-dev,
               librust-makefile-lossless+default-dev (>= 0.3),
               librust-makefile-lossless-0.3+default-dev (>= 0.3.28),
               librust-nu-ansi-term-0.50+default-dev,
               librust-ognibuild-0.2+debian-dev (>= 0.2.4-3),
               librust-ognibuild-0.2+default-dev (>= 0.2.4-3),
               librust-ognibuild-0.2+upstream-dev (>= 0.2.4-3),
               librust-patchkit-0.2+default-dev (>= 0.2.2),
               librust-pyo3+chrono-dev (<< 0.29),
               librust-pyo3+chrono-dev (>= 0.27),
               librust-pyo3+default-dev (<< 0.29),
               librust-pyo3+default-dev (>= 0.27),
               librust-pyo3+serde-dev (<< 0.29),
               librust-pyo3+serde-dev (>= 0.27),
               librust-pyo3-log+default-dev (<< 0.14-~~),
               librust-pyo3-log+default-dev (>= 0.12-~~),
               librust-quote-1+default-dev (>= 1.0.37),
               librust-regex-1+default-dev (>= 1.10.6-~~),
               librust-reqwest+blocking-dev (>= 0.12),
               librust-reqwest+default-dev (>= 0.12),
               librust-reqwest+json-dev (>= 0.12),
               librust-rowan-0.16+default-dev,
               librust-semver-1+default-dev,
               librust-sequoia-openpgp-2+default-dev (>= 2-~~),
               librust-serde-1+default-dev,
               librust-serde-1+derive-dev,
               librust-serde-json-1+default-dev,
               librust-serde-yaml+default-dev (>= 0.9),
               librust-serial-test-dev,
               librust-sha1-0.10+default-dev,
               librust-shell-words-1+default-dev,
               librust-sqlx-0.8+default-dev,
               librust-sqlx-0.8+postgres-dev,
               librust-sqlx-0.8+runtime-tokio-rustls-dev,
               librust-strsim-0.11+default-dev,
               librust-svp-client+default-dev (>= 0.1.0),
               librust-svp-client-0.2+default-dev,
               librust-systemd-unit-edit-0.1+default-dev (>= 0.1.1),
               librust-tempfile-3+default-dev,
               librust-textwrap-0.16+default-dev,
               librust-tokio-1+default-dev (>= 1.39),
               librust-tokio-1+full-dev (>= 1.39),
               librust-tokio-1+macros-dev,
               librust-tokio-1+net-dev,
               librust-tokio-1+rt-dev (>= 1.39),
               librust-tokio-1+rt-multi-thread-dev (>= 1.39),
               librust-tokio-1+signal-dev,
               librust-toml-edit+default-dev (<< 0.29),
               librust-toml-edit+default-dev (>= 0.22),
               librust-toml-edit-0.22+default-dev,
               librust-tracing-0.1+default-dev,
               librust-tracing-log-0.2+default-dev,
               librust-tracing-subscriber-0.3+ansi-dev,
               librust-tracing-subscriber-0.3+default-dev,
               librust-tracing-subscriber-0.3+env-filter-dev,
               librust-tracing-subscriber-0.3+fmt-dev,
               librust-upstream-ontologist-0.3+default-dev (>= 0.3.10),
               librust-url-2+default-dev,
               librust-url-2+serde-dev,
               librust-wait-timeout-0.2+default-dev,
               librust-xdg-2+default-dev,
               librust-xz2-0.1+default-dev,
               libstd-rust-dev,
               lintian (>= 2.105.0),
               po-debconf,
               python3-breezy (>= 3.3.1~),
               python3-setuptools,
               rustc
Standards-Version: 4.7.2
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/jelmer/debian-codemods.git
Vcs-Browser: https://salsa.debian.org/jelmer/debian-codemods
Homepage: https://salsa.debian.org/jelmer/debian-codemods

Package: debian-codemods
Architecture: any
Depends: devscripts,
         python3-breezy (>= 3.3.1~),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: debhelper (>= 13.5),
            decopy,
            dos2unix,
            gpg,
            lintian (>= 2.105.0)
Suggests: brz-debian (>= 2.8.66),
          git-buildpackage,
          po-debconf,
          postgresql-common
Breaks: lintian-brush (<< 0.170~)
Replaces: lintian-brush (<< 0.170~)
Description: codemods for automatically fixing problems in Debian packages
 This package contains a set of scripts that can automatically fix common
 problems in Debian packages:
 .
 * apply-multiarch-hints: applies multiarch hints to debian/control
 * deb-scrub-obsolete: removes obsolete dependencies and maintscript snippets
 * deb-vcs-publish: adds VCS metadata to debian/control
 * fix-watch-file: updates the debian/watch file to use the latest format

Package: lintian-brush
Architecture: any
Depends: devscripts,
         python3-breezy (>= 3.3.1~),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: debhelper (>= 13.5),
            decopy,
            dos2unix,
            gpg,
            lintian (>= 2.105.0)
Suggests: brz-debian (>= 2.8.66),
          git-buildpackage,
          po-debconf,
          postgresql-common,
          debian-codemods
Description: automatically fix lintian problems
 This package contains a set of scripts that can automatically fix more than 160
 common lintian issues in Debian packages.
 .
 It comes with a wrapper script that invokes the scripts, updates
 the changelog (if desired) and commits each change to
 version control.

=== lintian-brush/tests/debhelper-tools-from-autotools-dev-are-deprecated/multiline-continuation/in/debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_autoreconf:
	# Support for HDF5 1.14
	set -x; [ -f binoculars-ng/src/Hkl/H5.hs.orig ] || \
	  dpkg --compare-versions '$(HDF5_VERSION)' '<<' 1.12.0 || \
	  sed -i.orig 's/H5L_info_t/H5L_info1_t/g;s/h5l_iterate/h5l_iterate1/g' binoculars-ng/src/Hkl/H5.hs
	#dh_autoreconf ./autogen.sh
	dh_autoreconf

=== lintian-brush/tests/debian-rules-missing-recommended-target/mixed-arch/out/debian/rules ===
#!/usr/bin/make -f

build: blah
	$(MAKE) install DESTDIR=debian/..

clean:
	dh_prep -k

build-indep: build

build-arch: build

=== lintian-brush/tests/debhelper-tools-from-autotools-dev-are-deprecated/multiline-continuation/in/debian/control ===
Source: test-package
Maintainer: Test <test@example.com>
Build-Depends: debhelper-compat (= 13)

Package: test-package
Architecture: any
Description: Test package
 Test package description.

=== lintian-brush/tests/debian-watch-use-templates/github-tags/out/debian/watch ===
Version: 5

Template: GitHub
Owner: torvalds
Project: linux

=== lintian-brush/tests/debian-watch-use-templates/mail-authentication-results/out/debian/watch ===
Version: 5

Template: Metacpan
Dist: Mail-AuthenticationResults

=== lintian-brush/tests/dpatch-build-dep-but-no-patch-list/basic/in/debian/control ===
Source: test-package
Maintainer: Test User <test@example.com>
Build-Depends: debhelper (>= 11), dpatch

Package: test-package
Architecture: any
Description: Test package
 A test package for dpatch fixer.

=== lintian-brush/tests/out-of-date-standards-version/4.4.0-nodh/in/debian/control ===
Source: lintrian-brush
Standards-Version: 4.3.0

=== lintian-brush/tests/package-uses-deprecated-debhelper-compat-version/tmpfile-to-tmpfiles/out/debian/control ===
Source: blah
Build-Depends: debhelper (>= 13~)

Package: blah
Description: a binary with a tmpfile

=== lintian-brush/tests/package-uses-deprecated-dpatch-patch-system/basic/out/debian/control ===
Source: test-package
Maintainer: Test User <test@example.com>
Build-Depends: debhelper (>= 11)

Package: test-package
Architecture: any
Description: Test package
 A test package for dpatch migration.

=== lintian-brush/tests/package-uses-deprecated-dpatch-patch-system/override/in/debian/control ===
Source: test-package
Maintainer: Test User <test@example.com>
Build-Depends: debhelper (>= 11), dpatch

Package: test-package
Architecture: any
Description: Test package
 A test package for dpatch override test.

=== lintian-brush/tests/trailing-comma-in-maintainer-field/simple/out/debian/control ===
Source: test-package
Maintainer: John Doe <john@example.com>

Package: test-package
Architecture: all
Description: Test package
 This is a test package.

=== lintian-brush/tests/upstream-metadata-has-obsolete-field/no-machine-copyright/in/debian/control ===
Source: test

=== lintian-brush/tests/vcs-field-uses-insecure-uri/override/in/debian/control ===
Source: test-package
Vcs-Git: http://github.com/jelmer/test-package
Vcs-Browser: http://github.com/jelmer/test-browser

Package: test-package
Description: Test package
 Testing lintian override

=== lintian-brush/tests/vcs-field-uses-insecure-uri/override/out/debian/control ===
Source: test-package
Vcs-Git: http://github.com/jelmer/test-package
Vcs-Browser: https://github.com/jelmer/test-browser

Package: test-package
Description: Test package
 Testing lintian override
